@import "pref";

app-layout-nevis-public {
  width: 100%;
  height: 100%;

  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;

  .grid-row {
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
  }

  .page-header,
  .page-main {
    flex-shrink: 0; //important, so that the blocks are correctly extended in height
    width: 100%;

    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: stretch;
  }

  .page-header {
    height: $page-header-height;
    background-color: $color-white;
  }

  .header-content {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: stretch;

    app-logo-header {
      margin-left: auto;
    }
  }

  .page-main {
    flex-grow: 1;
    background-color: $color-white;
  }
}

//
// ADAPTIVE
//
@include media-tablet {
}

@include media-desktop {
}
